net.sf.jasperreports.export

## Interface PptxReportConfiguration

- All Superinterfaces:
    CommonExportConfiguration, ReportExportConfiguration
  All Known Implementing Classes:
    SimplePptxReportConfiguration

      public interface PptxReportConfiguration
      extends ReportExportConfiguration

  Interface containing settings used by the PPTX exporter.
  Version:
    $Id: PptxExporterConfiguration.java 6697 2013-11-07 10:25:58Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRPptxExporter`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_IGNORE_HYPERLINK` Property that provides a default value for the `isIgnoreHyperlink()` export configuration flag.

    - ### Fields inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `PROPERTY_IGNORE_PAGE_MARGINS`

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `isIgnoreHyperlink()`

    - ### Methods inherited from interface net.sf.jasperreports.export.ReportExportConfiguration

      `getEndPageIndex, getExporterFilter, getHyperlinkProducerFactory, getOffsetX, getOffsetY, getPageIndex, getProgressMonitor, getStartPageIndex`

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

- - ### Field Detail

    - #### PROPERTY_IGNORE_HYPERLINK

          static final java.lang.String PROPERTY_IGNORE_HYPERLINK

      Property that provides a default value for the `isIgnoreHyperlink()` export configuration flag.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isIgnoreHyperlink

          java.lang.Boolean isIgnoreHyperlink()

      See Also:
        `PROPERTY_IGNORE_HYPERLINK`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com